Loading...
Searching...
No Matches
cmprbzip.c File Reference
`#include <grass/config.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
Include dependency graph for cmprbzip.c:

Go to the source code of this file.

## Functions

int | G_bz2_compress_bound (int src_sz)
int | G_bz2_compress (unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)
int | G_bz2_expand (unsigned char *src, int src_sz, unsigned char *dst, int dst_sz)

## Function Documentation

## G_bz2_compress()

int G_bz2_compress | ( | unsigned char * | src,
|  | int | src_sz,
|  | unsigned char * | dst,
|  | int | dst_sz )

Definition at line 85 of file cmprbzip.c.

References err(), G_bz2_compress_bound(), G_fatal_error(), G_free(), G_warning(), and NULL.

## G_bz2_compress_bound()

int G_bz2_compress_bound | ( | int | src_sz | ) |

Definition at line 72 of file cmprbzip.c.

Referenced by G_bz2_compress().

## G_bz2_expand()

int G_bz2_expand | ( | unsigned char * | src,
|  | int | src_sz,
|  | unsigned char * | dst,
|  | int | dst_sz )

Definition at line 168 of file cmprbzip.c.

References err(), G_fatal_error(), G_warning(), and NULL.